{% extends 'mainapp/base.html' %}

{% block title %}
    Login
{% endblock %}

{% block content %}
{% if not request.user.is_authenticated %}
<div style='background-color:aliceblue;padding:25px;'>
    <form method='POST'>
        {% csrf_token %}
        <body>
        <div class="container">
            <div style='background-color:aliceblue;padding:25px;'>
                <div class="row">
                    <div class="col-md-5 mx-auto">
                        <div id="first">
                            <div class="form">
                                <div class="logo mb-3">
                                    <div class="col-md-12 text-center">
                                        <h1>Login</h1>
                                    </div>
                                </div>
                                {% if error %}
                                    <p style="color:red">{{ error }}</p>
                                {% endif %}
                                <form method="POST" name="login">
                                    <div class="form-group">
                                        <label for="Username">Username</label>
                                        <input type="text" name="username" class="form-control" placeholder="Enter Username">
                                    </div>
                                    <div class="form-group">
                                        <label for="Password">Password</label>
                                        <input type="password" name="password" class="form-control" placeholder="Enter Password">
                                    </div>
                                    <div class="col-md-12 text-center ">
                                        <button type="submit" class=" btn btn-block btn-primary tx-tfm">Login</button>
                                    </div>
                                    <div class="form-group">
                                        <p class="text-center">Don't have account? <a href="{% url 'register' %}" id="signup">Sign up here</a></p>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </body>
    </form>
</div>
{% else %}
<div class="logo mb-3">
    <div class="col-md-12 text-center">
        <h1>You have been logged in already</h1>
        <p class="text-center">Do you want to <a href="{% url 'logout' %}">logout</a>?</p>
    </div>
</div>
{% endif %}
{% endblock %}